import React from 'react';
import ReactDOM from 'react-doom';
import { range } from 'd3';
import { Face } from './Face';

const array = range(18);

const width = 160;
const height = 160;

const App = () => (
  
  array.map( () => 
    <Face
      width={width}
      height={height}
      centerX = {width / 2}
      centerY = {height / 2}
      strokeWidth={10}
      eyeOffsetX={20 + Math.random() * 10}
      eyeOffsetY={20 + Math.random()* 20}
      eyeRadius={5 + Math.random() * 15}
      mouthWidth={5 + Math.random() * 10}
      mouthRadius={20 + Math.random()* 20}  
    />
  
  )
  
  
);

const rootElement = document.getElementById("root");
ReactDOM.render(
  <React.StrictMode>
    <App />
  </React.StrictMode>,
  rootElement
);




















